
Redmine - Feature #1360

Permission for adding an issue to a version.

2008-06-03 13:56 - Curtis Stewart

Status: Closed Start date: 2008-06-03

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues permissions Estimated time: 0.00 hour

Target version: 2.1.0   

Resolution: Fixed   

Description

I have several projects with the customers and requesters entering there own requests, bugs, etc. similar to how the Redmine project

is organized. I have been using the versions to plan roll-outs and in general that function works great.

I have been having the same problem that I see on this site where the users are adding their issue to whatever target version they

wish. I was wondering if there could be a permission added, maybe under issue tracking, like "Can Assign/Modify Version".

The other way would be to add a set of statuses to the version such as "Open", "Locked", and “Completed" where we can specify

what actions can be performed on the scope of a version.

Thanks for such a valuable project.

Related issues:

Related to Redmine - Feature #1245: close versions Closed 2008-05-16

Related to Redmine - Feature #1919: Separate permissions for changing assigne... Closed 2008-09-18

Related to Redmine - Feature #9421: Prevent attribute changes once an issue i... Closed 2011-10-13

Has duplicate Redmine - Feature #7694: Require permission to assign a version... Closed 2011-02-23

History

#1 - 2008-06-04 12:56 - Thomas Lecavelier

Duplicated from #1245

#2 - 2008-06-04 14:51 - Curtis Stewart

I did not realise that this was a duplication. I did a search for issues "all words" for

"version status" and the issue did not show up.

I just redid the search with "status version" and both issues show up????

#3 - 2009-11-08 14:01 - Jean-Philippe Lang

- Category set to Issues permissions

The other way would be to add a set of statuses to the version such as "Open", "Locked", and “Completed" where we can specify what actions

can be performed on the scope of a version.

 This is committed in r3020. But I keep this ticket open since the original request was for controling version assignement based on user's role.

#4 - 2012-07-15 18:29 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 2.1.0

- Resolution set to Fixed

Implemented as part of #3521. You can now control the permission on each field per role, tracker and status.
